Skip to main content
PATCH
Modifies an existing sales order.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes1
salesorders.write
Grants permission to create and modify sales orders.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Modifies an existing sales order. - Request

companyId
string<uuid>

Unique ID of the company.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerId
string<uuid>

The ID of the customer associated with the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billingAddress
object

SalesOrderBillingAddress

shipmentAddress
object

SalesOrderBillingAddress

shippingMethodId
string<uuid>

The ID of the shipping method for the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentMethodId
string<uuid>

The ID of the payment method for the sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

lineItems
object[]

The line items included in the sales order.

Response

SalesOrder was successfully modified.

Modifies an existing sales order. - Response

salesOrderId
string<uuid>
required

Unique ID of the modified sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"